# defaults Struct Reference

`#include <cgmstruc.h>`

## Data Fields

Index | max_colind
Enum | vdc_type
Enum | transparency
Enum | clip_ind
Enum | color_mode
Enum | scale_mode
float | scale_factor
Enum | linewidth_mode
Enum | markersize_mode
Enum | edgewidth_mode
colour back | aux
rect vdc_extent | clip_rect
Prec | int_bits
Prec | index_bits
Prec | vdcint_bits
Prec | real_bits
Prec | real_places
Prec | vdc_bits
Prec | vdc_places
Prec | col_bits
Prec | colind_bits
float | min_real
float | max_real
float | realmin
float | min_vdc
float | max_vdc
float | vdcmin
Prec | real_defexp
Prec | real_expald
Prec | vdc_defexp
Prec | vdc_expald
colour min_rgb | max_rgb
Logical | colprec_flag
Logical | colval_flag
colour back | aux
rect vdc_extent | clip_rect
colour min_rgb | max_rgb

## Field Documentation

struct colour back defaults::aux

struct colour back defaults::aux

Enum defaults::clip_ind

struct rect vdc_extent defaults::clip_rect

struct rect vdc_extent defaults::clip_rect

Prec defaults::col_bits

Prec defaults::colind_bits

Enum defaults::color_mode

Logical defaults::colprec_flag

Logical defaults::colval_flag

Enum defaults::edgewidth_mode

Prec defaults::index_bits

Prec defaults::int_bits

Enum defaults::linewidth_mode

Enum defaults::markersize_mode

Index defaults::max_colind

float defaults::max_real

struct colour min_rgb defaults::max_rgb

struct colour min_rgb defaults::max_rgb

float defaults::max_vdc

float defaults::min_real

float defaults::min_vdc

Prec defaults::real_bits

Prec defaults::real_defexp

Prec defaults::real_expald

Prec defaults::real_places

float defaults::realmin

float defaults::scale_factor

Enum defaults::scale_mode

Enum defaults::transparency

Prec defaults::vdc_bits

Prec defaults::vdc_defexp

Prec defaults::vdc_expald

Prec defaults::vdc_places

Enum defaults::vdc_type

Prec defaults::vdcint_bits

float defaults::vdcmin

The documentation for this struct was generated from the following files:

- cgmlib.hxx
- cgmstruc.h